local PT = AhUI

PT.fonts = PT.fonts or {}

local function CreateFontObject(name, path, height, flags)
    local obj = CreateFont(name)
    obj:SetFont(path, height, flags)
    return obj
end

PT.fonts.normal = CreateFontObject("AhUI_Font_Normal", "Interface\\AddOns\\AhUI\\fonts\\GothamXNarrow-Medium.ttf", 14, "")
PT.fonts.small  = CreateFontObject("AhUI_Font_Small",  "Interface\\AddOns\\AhUI\\fonts\\GothamXNarrow-Medium.ttf", 12, "")
PT.fonts.title  = CreateFontObject("AhUI_Font_Title",  "Interface\\AddOns\\AhUI\\fonts\\GothamXNarrow-Medium.ttf", 16, "OUTLINE")
